.nav-item {
  padding-left: 2.5rem;
  padding-right: 2.5rem;
  padding-top: 2rem;
  padding-bottom: 2rem;
  border-radius: 15px 15px 0 0;
}

.nav-item.no-children {
  border-radius: 15px;
}

.nav-item:hover,
.group:hover .nav-item {
  background-color: #cf3132;
  color: white;
}

.nav-submenu {
  position: absolute;
  left: 0;
  top: 220%;
  margin-top: 0.5rem;
  background-color: #cf3132;
  border-radius: 0 15px 15px 15px;
  box-shadow: 0 10px 15px rgba(0, 0, 0, 0.1);
  z-index: 50;
  opacity: 0;
  transform: translateY(-20px);
  pointer-events: none;
  transition: transform 0.3s ease;
  flex-direction: column;
  min-width: 320px;
  margin-left: 0;
  list-style: none;
  padding: 0;
}

.nav-submenu li {
  margin: 0;
  padding: 0;
  list-style: none;
}

.group:hover > .nav-submenu {
  display: flex;
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

.nav-subitem {
  color: white;
  padding: 0.5rem 2.5rem;
  font-family: "DMSans", sans-serif !important;
  font-size: 19px;
  line-height: 2;
  font-weight: 500;
  text-decoration: none;
  cursor: pointer;
  border-radius: 0;
  white-space: nowrap;
  width: 100%;
  box-sizing: border-box;
  display: block;
}

.nav-subitem:hover {
  background-color: #ac191a !important;
}

.nav-submenu li:first-of-type > a.nav-subitem {
  border-top-right-radius: 15px;
  padding-top: 0.9rem;
}

.nav-submenu li:last-of-type > a.nav-subitem {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
  padding-bottom: 1rem;
}
